version: "3"
services:

  dsk-operate-sys:
    image: swr.cn-north-4.myhuaweicloud.com/dsk/java:8u111-jdk-alpine-creditreport
    container_name: dsk-operate-sys
    network_mode: host
    restart: always
    working_dir: /app
    environment:
      TZ: Asia/Shanghai
    volumes:
      - ./dsk-operate-sys:/app
      - /etc/localtime:/etc/localtime
    command: "java -jar dsk-operate-sys.jar"
  nginx:
    image: nginx:perl
    container_name: nginx
    restart: always
    network_mode: host
    working_dir: /app
    environment:
      TZ: Asia/Shanghai
    volumes:
      - /etc/localtime:/etc/localtime
      - ./dsk-operate-ui/dist/:/www/szh/web/dist/
      - ./dsk-operate-ui/operate.conf:/etc/nginx/conf.d/operate.conf
      - ./dsk-operate-ui/log:/var/log/nginx